GET /api/v202403/import/record/profile

Get all emission record import profiles

GetRecordImportProfilesV202403 Permissions: Records (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

RecordImportProfileResponseV202403
Property Description Type
costColumnIndex The index of the column that holds the cost for a record integer (int32)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createNewEntities Flag to indicate if new emission sources or suppliers should be created if they do not already exist boolean
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the import profile was modified string (date-time)
dateFormat The format for the record start/end dates string
directOffsetColumnIndex The index of the column that holds direct emissions/emission offsets for a record integer (int32)
directOffsetUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
emissionSourceCodeColumnIndex The index of the column that holds the emission source code integer (int32)
emissionSourceNameColumnIndex The index of the column that holds the emission source name integer (int32)
emissionSourceTypeColumnIndex The index of the column that holds the emission source type integer (int32)
endDateColumnIndex The index of the column that holds the emission record end date integer (int32)
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time the import profile was modified string (date-time)
notes Optional notes field string
notesColumnIndex The index of the column that holds the notes for a record integer (int32)
numberOfHeaderRows The number of header rows before the data begins integer (int32)
profileCode Name of the import profile string
profileId Identifier of the record import profile integer (int32)
startDateColumnIndex The index of the column that holds the emission record start date integer (int32)
supplierColumnIndex The index of the column that holds the supplier name integer (int32)
useColumnIndex The index of the column that holds the use for a record integer (int32)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
[
  {    "costColumnIndex": 1,    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "createNewEntities": false,    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "dateFormat": "string",    "directOffsetColumnIndex": 1,    "directOffsetUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "emissionSourceCodeColumnIndex": 1,    "emissionSourceNameColumnIndex": 1,    "emissionSourceTypeColumnIndex": 1,    "endDateColumnIndex": 1,    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "notes": "string",    "notesColumnIndex": 1,    "numberOfHeaderRows": 1,    "profileCode": "string",    "profileId": 1,    "startDateColumnIndex": 1,    "supplierColumnIndex": 1,    "useColumnIndex": 1,    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
]